package com.gxzc.zen.web.sys.controller

import com.fasterxml.jackson.databind.ObjectMapper
import com.gxzc.zen.api.sys.model.SysUser
import com.gxzc.zen.common.base.BaseController
import com.gxzc.zen.common.dto.ResponseDto
import khronos.Dates
import org.apache.shiro.SecurityUtils
import org.springframework.beans.factory.annotation.Autowired
import org.springframework.http.ResponseEntity
import org.springframework.web.bind.annotation.*


/**
 *
 * @author NorthLan
 * @date 2018/3/15
 * @url https://noahlan.com
 */
@RestController
@RequestMapping("test")
class TestController : BaseController() {

    @Autowired
    private lateinit var objectMapper: ObjectMapper

    @GetMapping("/a")
    fun test() {

    }

    @GetMapping("/b")
    fun testb() {
        if (SecurityUtils.getSubject().hasRole("test")) {

        }
    }

    @GetMapping("/rpc")
    fun rpc() {
//        println(testRpcService.sayHello("2333"))
    }

    @GetMapping("/long")
    fun longlonglong(): ResponseEntity<*> {
        // 测试long
        val sysUser = SysUser().apply {
            id = 123456789012345L
            createTime = Dates.today
            updateTime = Dates.tomorrow
        }

        return ResponseEntity.ok(ResponseDto().apply { data = sysUser })
    }

    @PostMapping("/longlong")
    fun longlong(@RequestBody entity: SysUser): ResponseEntity<*> {
        return ResponseEntity.ok(null)
    }
}